# class AGALMiniAssembler

#### package openfl.utils

Available on all platforms

### Constructor

###

`new (debugging:Bool = false)`

### Variables

###

`read onlyagalcode:ByteArray`

###

`read onlyerror:String`

###

`verbose:Bool`

### Methods

###

`assemble (mode:String, source:String, version:Int = 1, ignoreLimits:Bool = false):ByteArray`

###

`assemble2 (context3D:Context3D, version:Int, vertexSource:String, fragmentSource:String):Program3D`